#
# Conditional build
%bcond_without  doc	# disable generated documentation
%bcond_without  tests	# disable 'make check'
#
Summary:	A strictly RFC 3986 compliant URI parsing library
Summary(pl.UTF-8):	Biblioteka analizująca URI ściśle zgodne z RFC 3986
Name:		uriparser
Version:	0.8.5
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/uriparser/uriparser/releases
Source0:	https://github.com/uriparser/uriparser/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	80c110ec22b70570ec124563a7a63075
Patch0:		%{name}-doxygen.patch
URL:		https://uriparser.github.io/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10.1
%{?with_tests:BuildRequires:	cpptest-devel >= 1.1.0}
%if %{with doc}
BuildRequires:	doxygen
BuildRequires:	graphviz
%endif
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
uriparser is a strictly RFC 3986 compliant URI parsing library.
uriparser is cross-platform, fast, supports Unicode.

%description -l pl.UTF-8
uriparser to biblioteka analizująca URI ściśle zgodne z RFC 3986. Jest
wieloplatformowa, szybka i obsługuje Unicode.

%package devel
Summary:	Header files for uriparser
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki uriparser
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for uriparser.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki uriparser.

%package static
Summary:	Static uriparser library
Summary(pl.UTF-8):	Statyczna biblioteka uriparser
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static uriparser library.

%description static -l pl.UTF-8
Statyczna biblioteka uriparser.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure \
	 %{!?with_doc:--disable-doc} \
	 %{!?with_tests:--disable-test}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with doc}
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/uriparser
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog THANKS
%attr(755,root,root) %{_bindir}/uriparse
%attr(755,root,root) %{_libdir}/liburiparser.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liburiparser.so.1

%files devel
%defattr(644,root,root,755)
%if %{with doc}
%doc doc/html
%endif
%attr(755,root,root) %{_libdir}/liburiparser.so
%{_libdir}/liburiparser.la
%{_includedir}/uriparser
%{_pkgconfigdir}/liburiparser.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liburiparser.a
%changelog
* Tue Mar 13 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/uriparser.git;a=log;h=64a3b2d5bf4a70fc8a2424359f37e2d8075a2a5a

* Sat Feb 10 2018 Jakub Bogusz <qboosh@pld-linux.org> 64a3b2d
- new URLs, updated to 0.8.5
- updated doxygen patch

* Wed Oct 21 2015 Jakub Bogusz <qboosh@pld-linux.org> 811af47
- updated to 0.8.4
- added doxygen patch (fix install with docs generated by recent doxygen)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 86c096b
- x32 rebuild
- release 2 (by relup.sh)

* Thu Dec 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 79b6d58
- added THANKS to doc

* Mon Dec 22 2014 Łukasz Kieś <kiesiu@pld-linux.org> 61f6661
- updated to 0.8.1

* Wed Jan 08 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> 453061d
- generated api doc made optional and moved to -devel

* Wed Dec 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 4419e3d
- revised BRs

* Mon Dec 23 2013 Łukasz Kieś <kiesiu@pld-linux.org> 437aea7
- updated to 0.8.0

* Fri Aug 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 329bd1a
- check-files cleanup

* Fri Aug 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> b32f3d5
- removed unneeded comment lines

* Fri Aug 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> 53fe79b
- updated to 0.7.7

* Fri Apr 03 2009 Jakub Bogusz <qboosh@pld-linux.org> 8cd5b2b
- proper pkgconfig package name

* Mon Mar 09 2009 lisu <lisu@pld-linux.org> 8504989
- .pc goes to pkgconfigdir
- BR: pkg-config always required

* Thu Mar 05 2009 lisu <lisu@pld-linux.org> 4659b62
- up to 0.7.5
- add tests bcond (enabled by default) - handling of cpp tests (BRs: ccptest-devel and pkg-config)
- BRs: doxygen, graphviz-devel (for docs)
- run ./configure manually in docs in order to create regular Doxyfile
- more docs

* Tue Dec 23 2008 lisu <lisu@pld-linux.org> 9c3c7d5
- 0.7.4

* Sun Nov 23 2008 Marcin Banasiak <marcin.banasiak@gmail.com> fef0bd2
- typo

* Fri Nov 21 2008 lisu <lisu@pld-linux.org> 9d3b8b6
- up to 0.7.3

* Mon Jun 02 2008 Jakub Bogusz <qboosh@pld-linux.org> e223060
- updated to 0.7.1

* Sat Apr 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 792ca74
- up to 0.7.0

* Tue Feb 26 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c7c3156
- update to 0.6.4

